#
# spec file for package python-sphinxcontrib-apidoc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinxcontrib-apidoc
Version:        0.2.1
Release:        lp150.1.1
Summary:        A Sphinx extension for running 'sphinx-apidoc' on each build
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://www.sphinx-doc.org/
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-apidoc/sphinxcontrib-apidoc-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module sphinxcontrib}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module Sphinx >= 1.6.0}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module pytest >= 3.0}
# /SECTION
BuildRequires:  fdupes
Requires:       python-Sphinx >= 1.6.0
Requires:       python-pbr
BuildArch:      noarch

%python_subpackages

%description
*sphinx-apidoc* is a tool for automatic generation of Sphinx sources that,
using the `autodoc <sphinx_autodoc>`_ extension, documents a whole package in
the style of other automatic API documentation tools. *sphinx-apidoc* does not
actually build documentation - rather it simply generates it. As a result, it
must be run before *sphinx-build*.

%prep
%setup -q -n sphinxcontrib-apidoc-%{version}

%build
export PBR_VERSION=%{version}
%python_build

%install
export PBR_VERSION=%{version}
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PBR_VERSION=%{version}
%python_exec setup.py test

%files %{python_files}
%doc AUTHORS ChangeLog LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Apr 16 2018 tbechtold@suse.com
- Initial packaging (version 0.2.1)
